Bug 106213 - help should mention netprofile
help should mention netprofile
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 13:42 EDT by Joe VanAndel
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 03:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe VanAndel 2003-10-03 13:42:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
/usr/share/redhat-config-network//help/network-profiles.html incorrectly states:
--------------------
A profile cannot be activated at boot time. Only the devices set to activate at
boot time in the Common profile (the default profile) are activated at boot
time. After the system as booted, go to Main Menu (on the Panel) => System Tools
=> Network Device Control (or type the command redhat-control-network) to select
a profile and activate it. The activate profile section only appears in the
Network Device Control interface if more than the default Common interface exists.
---------------------

This is not correct.  I'd suggest replacing with:
A profile can be activated at boot time if the profile name is passed using 
      netprofile=<PROFILE_NAME> 
on the boot line.  /etc/rc.d/rc.sysinit will read the profile name, and activate
it.  In addition, you can pass a "runlevel" to init as shown on the following
grub command line:

kernel /vmlinuz-2.4.20-20.9 ro root=LABEL=/ apic netprofile=Home 4

Passing a runlevel allows you to customize what system services are run with a
given profile.

Version-Release number of selected component (if applicable):
redhat-config-network-tui-1.2.15-1

How reproducible:
Always

Steps to Reproduce:
The documentation does not match the functionality of /etc/rc.d/rc.sysinit    

Additional info:
Comment 1 Harald Hoyer 2003-10-06 03:09:34 EDT
thanks, this was changed in recent versions.

Note You need to log in before you can comment on or make changes to this bug.